package com.yongqi.xinrenli.service;

import com.yongqi.xinrenli.domain.DbArticle;
import com.yongqi.xinrenli.domain.vo.DbArticleVo;
import com.yongqi.xinrenli.domain.bo.DbArticleBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 文章Service接口
 *
 * @author zyf
 * @date 2023-03-09
 */
public interface IDbArticleService {

    /**
     * 查询文章
     */
    DbArticleVo queryById(Long id);

    /**
     * 查询文章列表
     */
    TableDataInfo<DbArticleVo> queryPageList(DbArticleBo bo, PageQuery pageQuery);

    /**
     * 查询文章列表
     */
    List<DbArticleVo> queryList(DbArticleBo bo);

    /**
     * 新增文章
     */
    Boolean insertByBo(DbArticleBo bo);

    /**
     * 修改文章
     */
    Boolean updateByBo(DbArticleBo bo);

    /**
     * 校验并批量删除文章信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
